# Generated by Django 4.2.20 on 2025-05-02 16:04

import uuid

import django.core.serializers.json
import django.core.validators
import django.db.models.deletion
import nautobot.core.models.fields
import nautobot.extras.models.mixins
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("extras", "0122_add_graphqlquery_owner_content_type"),
        ("nautobot_dns_models", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="SRVRecordModel",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "_custom_field_data",
                    models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder),
                ),
                ("name", models.CharField(max_length=200)),
                (
                    "ttl",
                    models.IntegerField(
                        default=3600,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                ("description", models.TextField(blank=True)),
                ("comment", models.CharField(blank=True, max_length=200)),
                (
                    "priority",
                    models.IntegerField(
                        default=0,
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(65535),
                        ],
                    ),
                ),
                (
                    "weight",
                    models.IntegerField(
                        default=0,
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(65535),
                        ],
                    ),
                ),
                (
                    "port",
                    models.IntegerField(
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(65535),
                        ]
                    ),
                ),
                ("target", models.CharField(max_length=200)),
                ("tags", nautobot.core.models.fields.TagsField(through="extras.TaggedItem", to="extras.Tag")),
                (
                    "zone",
                    nautobot.core.models.fields.ForeignKeyWithAutoRelatedName(
                        on_delete=django.db.models.deletion.PROTECT, to="nautobot_dns_models.dnszonemodel"
                    ),
                ),
            ],
            options={
                "verbose_name": "SRV Record",
                "verbose_name_plural": "SRV Records",
                "unique_together": {("name", "target", "port", "zone")},
            },
            bases=(
                nautobot.extras.models.mixins.DynamicGroupMixin,
                nautobot.extras.models.mixins.NotesMixin,
                models.Model,
            ),
        ),
    ]
